int duration;                 // Stores duration of pulse
int distance;                 // Stores distance
int srfPin = 7;               // SRF05 connected to dig pin D7

void setup() {
  Serial.begin(9600);
}

void loop() {
  Serial.println(sonarRead(), DEC); // Show in Serial Monitor
  delay(200);   
}

int sonarRead () {
  pinMode(srfPin, OUTPUT);	    // Set pin to OUTPUT
  digitalWrite(srfPin, LOW);	    // Ensure pin is low
  delayMicroseconds(2);
  digitalWrite(srfPin, HIGH);       // Start ranging 
  delayMicroseconds(10);            //  with 10 microsecond burst
  digitalWrite(srfPin, LOW);        // End ranging
  pinMode(srfPin, INPUT);	    // Set pin to INPUT
  duration = pulseIn(srfPin, HIGH); // Read echo pulse
  distance = duration / 74 / 2;     // Convert to inches
  return(distance);                 // Return value
}

